> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Queue by ID

> Returns a queue by ID



## OpenAPI

````yaml /openapi/product/task-center-api.yaml get /api/queues/v1/{queueId}
openapi: 3.0.3
info:
  title: Domo Task Center API
  description: >
    Task Center allows you to organize manual tasks into different queues of
    work and control who can access them. They are often used in concert with
    Workflows.


    For more background on Task Center, please see the Knowledge Base.
  version: 1.0.0
  contact:
    name: Domo Support
    url: https://www.domo.com
servers:
  - url: https://{instance}.domo.com
    description: Domo Task Center API
    variables:
      instance:
        default: your-instance
        description: Your Domo instance name
security:
  - DeveloperToken: []
paths:
  /api/queues/v1/{queueId}:
    get:
      tags:
        - Task Center API (Product)
      summary: Get Queue by ID
      description: Returns a queue by ID
      operationId: getQueueById
      parameters:
        - name: queueId
          in: path
          required: true
          description: The ID of the queue
          schema:
            type: string
          example: 168ecd84-4a15-45f6-89d9-021fbbce0481
      responses:
        '200':
          description: Queue object based on the queueId specified
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Queue'
        '401':
          description: Unauthorized - Invalid or missing authentication token
        '404':
          description: Queue not found
components:
  schemas:
    Queue:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the queue
          example: 168ecd84-4a15-45f6-89d9-021fbbce0481
        name:
          type: string
          description: Name of the queue
          example: Review Airplane Part Action Items
        description:
          type: string
          description: Description of the queue
          example: >-
            Human review of AI generated recommendations for QA process
            improvements based on product defects in manufacturing QA.
        active:
          type: boolean
          description: Whether the queue is active
          example: true
        taskLevelFiltersEnabled:
          type: boolean
          description: Whether task level filters are enabled
          example: true
        taskLevelFilters:
          nullable: true
          description: Task level filters configuration
        owner:
          type: string
          description: User ID of the queue owner
          example: '8811501'
        createdBy:
          type: string
          description: User ID who created the queue
          example: '8811501'
        createdOn:
          type: string
          format: date-time
          description: Timestamp when the queue was created
          example: '2023-10-18T14:48:23.314Z'
        updatedBy:
          type: string
          description: User ID who last updated the queue
          example: '8811501'
        updatedOn:
          type: string
          format: date-time
          description: Timestamp when the queue was last updated
          example: '2023-10-18T14:48:23.314Z'
  securitySchemes:
    DeveloperToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token
      description: Domo Developer Token for authentication

````